NITROGEN(1)

NAME
nitrogen - X11 background previewer and setter

SYNOPSIS
nitrogen [ OPTIONS ] DIRECTORY?

DESCRIPTION
In normal working mode, provides an interface which displays all pictures in the given DIRECTORY. From this interface, it is possible to set the X11 root pixmap either temporarily or set and store the picture, drawing mode, and X display for restoration later. If no directory is specified, it uses the stored directories in your "library" (as of 1.5). See the Preferences dialog.

When the --restore option is passed, nitrogen sets all backgrounds that it has a configuration for and exits immediately, for use in an .xinitrc or .xsession file.

OPTIONS

--restore
    Restores previously saved pictures to the root displays.

--no-recurse
    Do not recurse into subdirectories of DIRECTORY.

--sort=[option]
    Sorts the background list by the given option. By default, items are sorted as they are found on the filesystem, giving a quasi-newest first sorting order. Valid options are:

    alpha
        Alphabetical order.

    ralpha
        Reverse alphabetical order.

    time
        Modified time, ascending.

    rtime
        Modified time, descending.

--set-auto
    Set the background specified by DIRECTORY using the automatic size setting.

--set-centered
    Set the background specified by DIRECTORY using the centered size setting.

--set-scaled
    Set the background specified by DIRECTORY using the scaled size setting.

--set-tiled
    Set the background specified by DIRECTORY using the tiled size setting.

--set-zoom
    Set the background specified by DIRECTORY using the zoom size setting.

--set-zoom-fill
    Set the background specified by DIRECTORY using the zoom fill size setting.

--save
    Saves the background permanently in the config. Only used with one of the --set-xxx options.

--set-color=[arg]
    Sets background color in hex, #000000 by default. Only used with one of the --set-xxx options.

--random
    Choose random background from config or given directory. Only used with one of the --set-xxx options.

--head=[option]
    Select Xinerama/multihead display in GUI, 0..n, use -1 for full screen (Xinerama only).

--force-setter=[option]
    DEBUG: Forces the background setting engine to use a specific backend. This is for advanced debugging use only. Valid options are:

    xwindows
        Standard XWindows primitives.

    xinerama
        Xinerama/XWindows primitives.

    gnome
        GNOME/Nautilus based.

--help
    I'm just here so I won't get fined.

FILES
~/.config/nitrogen/
    Holds the configuration for saved backgrounds.

BUGS
Use the GitHub issue tracker: https://github.com/l3ib/nitrogen/issues

AUTHORS
Dave Foster <daf@minuslab.net> Javeed Shaikh <syscrash2k@gmail.com>

AVAILABILITY
Nitrogen is developed on GitHub: https://github.com/l3ib/nitrogen/